# CloseButton

## API Index

#### Inherited Methods from Button

- addChild
- createEl
- handleKeyPress

#### Inherited Methods from ClickableComponent

- buildCSSClass
- controlText
- handleBlur
- handleClick
- handleFocus

#### Inherited Methods from Component

- $
- $$
- addClass
- children
- clearInterval
- clearTimeout
- contentEl
- dimensions
- dispose
- el
- enableTouchActivity
- extend
- getChild
- getChildById
- getComponent
- hasClass
- height
- hide
- id
- initChildren
- name
- off
- on
- one
- options
- player
- ready
- registerComponent
- removeChild
- removeClass
- setInterval
- setTimeout
- show
- toggleClass
- trigger
- triggerReady
- width

# CloseButton

The `CloseButton` component is a button which fires a "close" event when it is activated.

DEFINED IN: close-button.js line number: 4

EXTENDS: button.js

### Constructor

    CloseButton()